Bug 88247 - Graphic installer doesn't send any signal to monitor
Graphic installer doesn't send any signal to monitor
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-08 01:16 EDT by nathaniel rivard
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:31:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nathaniel rivard 2003-04-08 01:16:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
the problem occurs directly after anaconda probes for the video card, monitor, 
and mouse.  it gets all 3 correct: nvidia geforce2 gts, nec multisync fp1350x, 
and generic ps/2 mouse (good enough at least.)  however, right when it 
attempts to start the xserver, the monitor goes blank.  no signal is sent.  
the monitor acts as if the computer was off.  the installer seems to continue 
to function, but i can't see anything going on.  i would let this go, but the 
text based installer ruined my mbr on my harddrive, whereas the redhat 8 
installer didn't.

Version-Release number of selected component (if applicable):
redhat 9 anaconda

How reproducible:
Always

Steps to Reproduce:
1. boot the installer from the cd
2. choose graphic installation
    

Actual Results:  the graphic installer fails to send a signal to the monitor 
every time.

Expected Results:  i expected this, only because it's happened 5 times in a 
row.

Additional info:

i attempted to change my XFree86Config file on my redhat 8.0 install to the 
original "nv" driver (from "nvidia") but it didn't help.  there were no seen 
errors in the tmp/log file anaconda puts out.  i can't retrieve that because i 
had to format the drive after the text based installer ruined the mbr my 
primary drive.
Comment 1 Michael Fulbright 2003-04-08 12:29:57 EDT
The text based installer is identical, except for lacking a few extra features,
to the graphical installer.

I would recommend you use the text mode installer to install your system, then
you can debug the X issue on the installed system much more easily than in the
installer environment.
Comment 2 nathaniel rivard 2003-04-08 16:00:56 EDT
i did as requested.  the text based install worked the second time.  but after i
loaded it up, everything was fine until the xserver started up again.  then,
like the graphical installer, the signal was completely cut.  i was able to
solve the issue by booting up with init level 3, logging onto
download.nvidia.com via command-line ftp, and downloading/installing the new
nvidia drivers.  this leads me to believe that the "nv" driver that comes with
xserver is somehow not working.  i'm sure this isn't redhat's fault, but you
guys should look into it.  thanks for responding so quickly.
Comment 3 Faisal Malallah 2003-04-18 06:56:26 EDT
Same problem here. the installer identified my Nvidia Geforce4 and SyncMaster
monitor but just when X supposed to start, the signal to the monitor went off.
Seems like the nvidia driver included with the installer is not good.
Comment 4 Michael Fulbright 2003-05-13 12:38:10 EDT
Reassigning to the X server component.
Comment 5 Mike A. Harris 2004-09-29 16:31:27 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.